Page MenuHomePhabricator

Provide a way during the upload stage for the user to change their mind about what file to upload once they've started it uploading
Closed, ResolvedPublic1 Story Points

Description

I think there should be a go back button in the Upload panel just like we have while selecting image from Commons. So that, user can go back and select another image .

Event Timeline

Ryasmeen created this task.Oct 7 2015, 7:51 PM
Ryasmeen updated the task description. (Show Details)
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 7:51 PM
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 8 2015, 12:37 AM
matmarex triaged this task as Normal priority.Oct 9 2015, 11:40 AM
matmarex set Security to None.
Jdforrester-WMF renamed this task from There is no way to go back to Upload image page if user tries to change the image just selected to Provide a way during the upload stage for the user to change their mind about what file to upload once they've started it uploading.Oct 10 2015, 3:02 PM
Jdforrester-WMF lowered the priority of this task from Normal to Low.
Jdforrester-WMF edited a custom field.
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptOct 10 2015, 3:02 PM

This is also useful for the case, where user was trying to upload an image which already exists and gets error message about it, at that point there is no way to go back from there other than closing the dialog and then again reopen it.

Change 312253 had a related patch set uploaded (by Matthias Mullie):
Change mid-upload 'cancel' button to 'back'

https://gerrit.wikimedia.org/r/312253

matthiasmullie moved this task from Untriaged to Needs code review on the Multimedia board.

Change 312832 had a related patch set uploaded (by Matthias Mullie):
Change mid-upload 'cancel' button to 'back'

https://gerrit.wikimedia.org/r/312832

Change 312253 merged by jenkins-bot:
Change mid-upload 'cancel' button to 'back'

https://gerrit.wikimedia.org/r/312253

Change 312832 merged by jenkins-bot:
Change mid-upload 'cancel' button to 'back'

https://gerrit.wikimedia.org/r/312832

matmarex closed this task as Resolved.Sep 26 2016, 6:54 PM
matmarex removed a project: Patch-For-Review.